Skip to content

Religion: Bible & Quran

This API allows you to retrieve sacred texts from both the Bible and Quran.

  • Bible: Supports multiple translations (KJV, WEB, BBE, etc.).
  • Quran: Returns Arabic text, English translation, and recitation audio links.
POST /api/v1/religion

The following parameters are accepted in the request body:

FieldTypeRequiredDescription
typestringYesbible or quran.
referencestringYesFormat: “Book Chapter:Verse” (Bible) or “Surah:Ayah” (Quran).
versionstringOptionalBible translation code. Default: web. Options: kjv, bbe, oeb-us, web.
Terminal window
curl -X POST https://heavstal.com.ng/api/v1/religion \
-H "Content-Type: application/json" \
-H "x-api-key: <YOUR_API_KEY>" \
-d '{"type": "bible", "reference": "John 3:16", "version": "kjv"}'
{
"status": "success",
"creator": "HEAVSTAL TECH",
"data": {
"type": "bible",
"reference": "John 3:16",
"text": "For God so loved the world...",
"version": "King James Version",
"version_id": "kjv"
}
}